
QGIS Application - Feature request #6441

Opening project with unavailable WMS layers takes too long

2012-10-02 05:52 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15682

Description

When opening a project file with WMS layers that are no more accessible (i.e. from a intranet server), opening of project takes a lot of time

(tens of minutes!).

Reason - even if layer rendering is disabled, QGIS is issuing retrieveServerCapabilities (for preview?). If only way of WMS failure is

timeout, then project loading is stopped till layer's WMS network connection times out. Rinse and repeat for every project WMS layer :(

History

#1 - 2012-10-02 06:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

on 1.8 or master or both?

#2 - 2012-10-06 02:21 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2013-08-03 09:57 PM - marisn -

It's still an issue with 1.9.0-Master (tested with QGIS code revision e3b8b41)

#4 - 2013-08-04 01:33 AM - Giovanni Manghi

marisn - wrote:

It's still an issue with 1.9.0-Master (tested with QGIS code revision e3b8b41)

have you tried changing the "timeout for network request (ms)" in the general options?

#5 - 2014-06-24 05:04 AM - Paolo Cavallini

- Category set to Project Loading/Saving

#6 - 2016-01-20 02:05 AM - Médéric RIBREUX

- Status changed from Feedback to Closed

Hello, bug triage...
I am closing this feature request for lack of feedback and because there is a good workaround (network timeout in the options).

I've made some tests and when the WMS service has changed or even the WMS server is not available, QGIS triggered a 'Handle bad layers' dialog box

immediately.
